%bcond_without check

%global goipath         github.com/golang-jwt/jwt
Version:                3.2.2

%gometa

%global common_description %{expand:
A go implementation of JSON Web Tokens. Supports the parsing and
verification, as well as the generation and signing of JWTs.}

%global golicenses      LICENSE
%global godocs          MIGRATION_GUIDE.md README.md VERSION_HISTORY.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        A go implementation of JSON Web Tokens

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

install -m 0755 -vd                     %{buildroot}%{_defaultdocdir}/%{goname}
install -m 0644 -vp cmd/jwt/README.md   %{buildroot}%{_defaultdocdir}/%{goname}/README-jwt.md

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc MIGRATION_GUIDE.md README.md VERSION_HISTORY.md README-jwt.md
%{_bindir}/*

%gopkgfiles

%changelog
* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
